
/*
	Standard library file for PROGS SMS C library

	job handling library
	JOBWait

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera, started 15 December 1994
*/

#include "job_h"

Error JOBWait(Job job, TimeOut timeout)
{
	if (JOBInfo(job,NULL,NULL,NULL)==ERR_IJOB) return ERR_OK;
	while (timeout)
	{
		if (timeout!=-1) timeout--;
		JOBSuspend(MYSELF,1,NULL);
		if (JOBInfo(job,NULL,NULL,NULL)==ERR_IJOB) return ERR_OK;
	}
	return ERR_NC;
}
