; KBD library for the PROGS SMS C library
;   KBDDirect           direct keyboard input, very specific
;   KBDPressedAlt       TRUE when ALT is depressed
;   KBDPressedCtrl      TRUE when CTRL is depressed
;   KBDPressedShift     TRUE when SHIFT is depressed
; written by Joachim Van der Auwera for PROGS
; (c) 1996 by PROGS, Professional & Graphical Software, all rights reserved
; started 12 May 1996
; 02.07.1997 slight changes in KBDDirect ("clr.l 2(a3)" added)
        section text
        include win1_inc_aid_mac
        include win1_inc_qdos_sms
;
; call a routine in an atomic way
row     equ     5               ; .b row number
result  equ     6               ; .l pointer to char for result
space   equ     10
offset  equ     space+12
_KBDDirect xsub
        regsave d5/d7/a3
        getssp  space
        move.l  sp,a3
        move.w  #$901,(a3)
        clr.l   2(a3)
        move.b  #2,7(a3)
        move.b  offset+row(sp),6(a3); row
        moveq   #sms.hdop,d0
        trap    #do.sms2
        move.l  offset+result(sp),a0
        move.b  d1,(a0)
        moveq   #0,d0
        subend
;
krow    dc.b   9,1,0,0,0,0,7,2
_KBDPressedShift xsub
        regsave d5/d7/a3
        lea     krow(pc),a3
        moveq   #sms.hdop,d0
        trap    #do.sms2
        moveq   #0,d0
        btst    #0,d1
        beq.s   ok
        moveq   #-1,d0
ok      subend
;
_KBDPressedAlt xsub
        regsave d5/d7/a3
        lea     krow(pc),a3
        moveq   #sms.hdop,d0
        trap    #do.sms2
        moveq   #0,d0
        btst    #2,d1
        beq.s   ok
        moveq   #-1,d0
        subend
;
_KBDPressedCtrl xsub
        regsave d5/d7/a3
        lea     krow(pc),a3
        moveq   #sms.hdop,d0
        trap    #do.sms2
        moveq   #0,d0
        btst    #1,d1
        beq.s   ok
        moveq   #-1,d0
        subend
;
        end
