/*	Standard library file for PROGS SMS C library */

/* "safe" multiply. Returns x * y if in range, and HUGE_VAL with proper
 * sign if not.
 */

#include "math_h"

double _mult (double x, double y)
{
	int exponent;

	x = frexp(x, &exponent);
	return ldexp(x * y, exponent);
}
