! Standard library file for PROGS SMS C library
! isNaN : return true if argument is NaN, false if argument is valid
    .sect   .text
    .define _isNaN

_isNaN:
    moveq   #0,d0       ! assume result is not NaN

    lea     4(sp),a0    ! a0 -> double argument
    move.w  (a0),d1     ! extract value.exp
    and.w   #0x7ff0,d1  ! kill sign bit and top of mantissa
    cmp.w   #0x7ff0,d1  ! NaN ?
    bne     noNaN       ! no -> done

    moveq   #-1,d0      ! result is TRUE
noNaN:
    rts
