; startup code for an executable which uses the Dynamic Link Library Manager
; for relocation and linking of external routines.
; written by Joachim Van der Auwera for PROGS
; (c) 1994 PROGS, Professional & Graphical Software
; started 10 October 1994
;
        section text
        include win1_inc_qdos_sms
;
        xref    _init
;
the_beginning
;
start   moveq   #-1,d1          ; for myself
        move.l  #'REXT',d2      ; extension
        moveq   #-1,d3          ; wait forever
        lea     DLLManager(pc),a0
        moveq   #sms.uthg,d0    ; SMS.UTHG
        trap    #do.sms2
        tst.w   d0              ; ok ??
        bne.s   oops

        lea     linkage(pc),a0  ; information to do it all
        move.l  a0,-(sp)        ; store as parameter
        jmp     $18(a1)         ; start program

oops                            ; ... handle all possible errors ...
                                ; ... hey, what can we do ?? ...
kill    move.l  d0,d3           ; error to return
        moveq   #sms.frjb,d0    ; remove
        moveq   #sms.myjb,d1    ; myself
        trap    #do.sms2        ; do it
                                ; and we won't get this far

DLLManager dc.w 11,'DLL Manager'
linkage dc.l    linkage-the_beginning
        dc.l    _init-the_beginning
        dc.l    bssbase-the_beginning
;
; I don't need this, but apparently the linker does !!
; use this to force linking of syslib
        section data
        xref    _InitSysLib
        dc.l    _InitSysLib-*
;
        section udata
bssbase
;
        end
