/*
	test program for PROGS SMS C library
	test for dev library
	written by Joachim Van der Auwera for PROGS
	(c) 1994 by PROGS, Professional & Graphical Software
*/

#include "sms_h"
#include "dev_h"
#include "io_h"

void init()
{
	Error err;
	Channel chid;
	int sent;
	char line[80],chr;
	char odat[36],oprg[36],odst[36],cdat[36];

	err=IOOpen("ram1_dev_list",OPEN_OVER,&chid);

	/* get current values, and print them */
	DEVDataGet(odat);			IOPutString(chid,odat,&sent);
	DEVProgramGet(oprg);		IOPutString(chid,oprg,&sent);
	DEVDestinationGet(odst);	IOPutString(chid,odst,&sent);

	/* test data default commands */
	DEVDataSet("flp1_even_kijken");
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataUp();
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataUp();
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataUp();
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataSet("mdv1_rubbish_");
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataDown("test");
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);
	DEVDataDown("t_");
	DEVDataGet(cdat);			IOPutString(chid,cdat,&sent);

	/* test program default commands */
	DEVProgramSet("prg_test_me");
	DEVProgramGet(cdat);		IOPutString(chid,cdat,&sent);
	DEVProgramUp();
	DEVProgramGet(cdat);		IOPutString(chid,cdat,&sent);
	DEVProgramDown("test");
	DEVProgramGet(cdat);		IOPutString(chid,cdat,&sent);

	/* test destination default commands */
	DEVDestinationSet("destination");
	DEVDestinationGet(cdat);	IOPutString(chid,cdat,&sent);

	/* restore original values */
	DEVDataSet(odat);
	DEVProgramSet(oprg);
	DEVDestinationSet(odst);

	IOGetString(chid,line,80);
	IOClose(chid);
}
