; testing assembler file which uses DLL linking, to demonstrate how DLL linking
; and program relocation can be used on very large programs
; written by Joachim Van der Auwera
; for PROGS, Professional & Graphical Software
; 1 November 1996, (c) PROGS

; for this program to work, you have to configure qmac to have "absolute" as
; "default addressing mode" (and not pc relative)

; when calling library routines (and writing call-back functions, you should
; consider the c68 register usage (d0/d1/a0/a1 are scratch addresses and
; can be modified, the others should be restored) and parameter passing
; conventions.

        section text
        opt     abs

        xref _SMSBeep
        xdef _init

_init
        move.w  #20,-(sp)           ; pitch
        move.w  #10000,-(sp)        ; duration
        jsr     _SMSBeep            ; do the beep
        addq.l  #4,sp               ; clean up stack
        rts                         ; return

filler  ds.l    8500
;
        end
