/*
	test program for PROGS SMS C library
	test for MEMHeap library
	written by Joachim Van der Auwera for PROGS
	(c) 1994 by PROGS, Professional & Graphical Software
*/

#include "mem.h"
#include "stdio.h"
#include "qdos.h"

void ZapRoutine(void *base)
{
	SMSBeep(2000,20);
}

void main()
{
	void *base[24]={NULL};
	Heap heap;
	char line[80];
	int i,j; Error err;

	err=MEMHeapInit(1024,&heap);
	printf("init err %d heap %d\n",err,heap);
	MEMHeapAllocate(heap,300,&base[0]);
	MEMHeapAllocate(heap,300,&base[1]);
	printf("bases %x %x, diff %d",base[0],base[1],(char *)base[0]-(char *)base[1]);
	if (base[0]==base[1]) SMSBeep(2000,20);
	gets(line);


	MEMHeapRelease(heap,base[1]);
	MEMHeapAllocate(heap,600,base[1]);
	printf("allocated another larger piece, base %x",base[1]);
	gets(line);

	MEMHeapWhenZapped(heap,&ZapRoutine,NULL);
	printf("ZapRoutine set, %x",heap); gets(line);
	MEMHeapZap(heap);
	puts("user memory zapped");
}
