/*
	test program for PROGS SMS C library
	test for win library
	written by Joachim Van der Auwera for PROGS
	(c) 1994 by PROGS, Professional & Graphical Software
*/

#include "win_h"
#include "str_h"
#include "job_h"

WindowDescriptor window={300,100,50,50, 6,6, 2,2, 7,0};

void init()
{
	Error err;
	Window chid;
	char chr;
	WindowInfo wi;
	char line[80];

	err=WINOpenFull(&window,&chid);

	err=WINLimits(chid,&wi);
	STRFormatPutSafe(line,80,"max size %d %d org %d %d",wi.xsiz,wi.ysiz,
					 wi.xpos,wi.ypos);
	WINPutString(chid,line);
	WINScroll(chid,10);
	WINPan(chid,10);

	JOBPick(PICK_BOTTOMMOST);
	JOBWake(PICK_BOTTOMMOST);

	WINPutString(chid,"press a key");
	WINGet(chid,&chr);
	WINClose(chid);
}
