; time library for the PROGS SMS C library
;   TIMEGet             get the current time
;   TIMESet             set the current time
;   TIMEAdjust          adjust the current time
; written by Joachim Van der Auwera for PROGS
; (c) 1994 by PROGS, Professional & Graphical Software, all rights reserved
; started 25 November 1994
        section text
        include win1_inc_qdos_sms
        include win1_inc_keys_err
        include win1_inc_keys_sys
        include win1_inc_aid_mac
;
; get the time
time    equ     4               ; .l time or place for result
_TIMEGet xsub
        move.l  time(sp),a1     ; place for result
        regsave d2
        moveq   #sms.rrtc,d0    ; read real time clock
        trap    #do.sms2        ; do it
        move.l  d1,(a1)         ; store result
        subend
;
; set/adjust the time
_TIMEAdjust xsub
        moveq   #sms.artc,d0    ; adjust real time clock
        bra.s   clck
_TIMESet xsub
        moveq   #sms.srtc,d0    ; set real time clock
clck    move.l  time(sp),d1     ; adjustment in seconds
        regsave d2/d3
        trap    #do.sms2        ; do it
        subend
;
        end
