#ifndef _CONFIG_H
#define _CONFIG_H

/*
	Standard header file for PROGS SMS C library

	macros to build configuration info

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera, 3 December 1994
*/

#define CONFIG_INIT(name,version) static const struct { \
	char h[10]; short ln; char n[sizeof(name)]; short vl; char l[sizeof(version)]; \
	} _config_header={ {'<','<','Q','C','F','X','>','>','0','1'}, \
	sizeof(name),name,sizeof(version),version}

#define CONFIG_END	  static const long _config_end=-1

#define CONFIG_ITEM(type,key,name) static const struct { \
	char ctype, ckey; short it,pr,po,desc,attr; } _DECL##name={type,key, \
	&_ITEM##name-&_DECL##name.it,0,0,&_DESC##name-&_DECL##name.desc, \
	&_ATTR##name-&_DECL##name.attr}

#define CONFIG_STRING		0
#define CONFIG_CHARACTER	2
#define CONFIG_CODE 		4
#define CONFIG_SELECTION	6
#define CONFIG_BYTE 		8
#define CONFIG_SHORT		10
#define CONFIG_LONG 		12

#endif _CONFIG_H
