;
;       f a b s
;
;   Routine in the maths library to return the absolute value
;   of a double or float.
;
;   Inherently this just involves ensuring that the value is
;   positive!
;
;   Equivalent to C routines:
;
;       double  fabs  (double value)
;
;   AMENDMENT HISTORY
;   ~~~~~~~~~~~~~~~~~
;   30 Dec 93   DJW   - First version to replace C versions.

    .text
    .globl  _fabs

_fabs:
    move.l  8(sp),d1
    move.l  4(sp),d0
    bclr    #31,d0
    rts
