/*	Standard library file for PROGS SMS C library */

#include "math_h"

double tanh(double x)
{
	double p, pinv, ans;
	
	p = x < 0.0 ? -x : x;
	p = exp(p);
	pinv = 1.0/p;
	ans = (p - pinv)/(p + pinv);
	if (x < 0.0)
		ans = - ans;
	return (ans);
}	
