/*
	test program for PROGS SMS C library

	test for atomic library

	written by Joachim Van der Auwera for PROGS
	(c) 1994 by PROGS, Professional & Graphical Software
*/

#include "io_h"
#include "module_h"

#define tell(x) IOPutString(chid,x,&sent)
#define value(s,x) { STRFormatPutSafe(line,80,"%s : %d",s,x); tell(line); }

void init()
{
	Error err;
	Channel chid;
	int sent, i, r;
	char line[80], chr;
	int params[2];
	Error (*rout)(Channel c);

	err=IOOpen("con",OPEN_OVER,&chid);

	err=MODULELoad("test-mod","win1_lib_test","test module",&rout);
	if (err)
	{
		value("can't load module",err);
	}
	else
	{
		tell("module loaded");
		(*rout)(chid);
		tell("routine executed");
	}

	tell ("press a key");
	IOGet(chid,&chr);
	IOClose(chid);
}
